Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am using Ubuntu 12.04 LTS (32bit-i386) in my desktop PC. I need g77 compiler for some specific applications. The app can only be installed after having g77 compiler. This specific app is designed based on g77 fortran compiler and can't be used with gfortran which is the standard available compiler in 12.04 LTS.

And guide me the procedure to install g77 in 12.04. I have been trying apt-get update & apt-get install g77 after changing the sources.list file. After processing I am able to install g77 but when i try to compile a fortran program, it shows error

/usr/bin/ld: cannot find crt1.o: No such file or directory
/usr/bin/ld: cannot find crti.o: No such file or directory
/usr/bin/ld: cannot find -lgcc_s
collect2: ld returned 1 exit status

Please help me. I m struggling a lot to fix this.

share|improve this question
add comment

1 Answer

Since g77 is no longer supported, you'd need to download it from older Ubuntu repositories.

You can download it from the Ubuntu Hardy Packages page. Below is the screenshot of the page.

enter image description here

  • Download the amd64 or i386 version depending on your architecture.
  • As you can see from the screenshot, the package depends on gcc-3.4, gcc-3.4-base, libc6, and libg2c0-dev, you'd have to install them first, and probably remove your newer version of these packages.

I recommend downloading Ubuntu 8.04 (Hardy Heron), and installing it on a virtual machine. You can then download the g77 package and install it directly.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.